Package org.eclipse.net4j.util.io

## Interface StringIO

- All Known Implementing Classes:
    `StringCompressor`, `StringCompressor.Counting`

      public interface StringIO

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StringIO` | `DIRECT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `read​(ExtendedDataInput in)` |
    `void` | `write​(ExtendedDataOutput out, java.lang.String string)` |

- - ### Field Detail

    - #### DIRECT

          static final StringIO DIRECT

  - ### Method Detail

    - #### write

          void write​(ExtendedDataOutput out,
                     java.lang.String string)
              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          java.lang.String read​(ExtendedDataInput in)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`